package com.goafanti.user.bo;

import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputOrganizationTech {
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	id;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	uid;

	@Size(min = 0, max = 12, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	technicalPeopleNum;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	searchAreaCategory;

	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")

	private String	searchAreaDet;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	specialty;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getTechnicalPeopleNum() {
		return technicalPeopleNum;
	}

	public void setTechnicalPeopleNum(String technicalPeopleNum) {
		this.technicalPeopleNum = technicalPeopleNum;
	}

	public String getSearchAreaCategory() {
		return searchAreaCategory;
	}

	public void setSearchAreaCategory(String searchAreaCategory) {
		this.searchAreaCategory = searchAreaCategory;
	}

	public String getSearchAreaDet() {
		return searchAreaDet;
	}

	public void setSearchAreaDet(String searchAreaDet) {
		this.searchAreaDet = searchAreaDet;
	}

	public String getSpecialty() {
		return specialty;
	}

	public void setSpecialty(String specialty) {
		this.specialty = specialty;
	}

}
